
TYPO3.Flow - Task # 702

Status: Resolved Priority: Could have
Author: Karsten Dambekalns Category: Package
Created: 2008-06-03 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: RNG schema for Package.xml files is too strict
Description
A few issues:
    -  When defining such a file, the schema requires an upload element to be present, which makes it impossible to have a valid file
without an upload.
    -  partiesmust have a company element, which might not always be needed/possible

Related issues:
related to TYPO3.Flow - Feature # 14: Define the packageInfo.xml format Resolved
related to TYPO3.Flow - Task # 3559: Get rid of state in Package.xml files Resolved 2009-06-04

Associated revisions
Revision f3d5a5c2 - 2009-06-04 14:50 - Karsten Dambekalns

[TASK] FLOW3 (Package): added RNG schema for Package.xml files, fixes #702

History
#1 - 2008-06-03 12:03 - Karsten Dambekalns

I changed oneOrMore to zeroOrMore and attached the file. Could someone with more knowledge about RelaxNG check if this is the best way to solve
the issue?

#2 - 2008-06-03 12:06 - Karsten Dambekalns
- File Package.rng added

#3 - 2008-09-02 12:43 - Robert Lemke
- Tracker changed from Bug to Task

#4 - 2009-05-19 12:34 - Robert Lemke
- Target version set to 283

#5 - 2009-06-02 16:08 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#6 - 2009-06-04 10:42 - Karsten Dambekalns
- File Package.rng added
- Status changed from Accepted to Needs Feedback
- % Done changed from 0 to 80
This new version should work fine, where do we put it?

#7 - 2009-06-04 15:00 - Karsten Dambekalns
- Status changed from Needs Feedback to Resolved
- % Done changed from 80 to 100

Applied in changeset r2565.

#8 - 2009-07-13 11:23 - Robert Lemke
- Target version changed from 283 to 1.0 alpha 1

Files
Package.rng 5 kB 2008-06-03 Karsten Dambekalns
Package.rng 5.1 kB 2009-06-04 Karsten Dambekalns
